%define major 1
%define libname	%mklibname xfce4panel %{major}

Summary:	Panel for Xfce
Name:		xfce-panel
Version:	4.4.1
Release:	%mkrel 5
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source0:	xfce4-panel-%{version}.tar.bz2
Source1:        launcher-11796537200.rc
Source2:        launcher-11796547371.rc
Source3:        separator-11796494630.rc
Source4:	xfce4-menu-5.rc
Source5:	systray-4.rc
Patch0:		mandriva-default-theme_xfce-panel.patch
Requires:	desktop-common-data
BuildRequires:	xfce-mcs-manager-devel >= %{version}
BuildRequires:	startup-notification-devel >= 0.5
BuildRequires:	libxml2-devel >= 2.4.0
Provides:	xfce-systray
Provides:	xfce4-systray
Provides:	xfce4-iconbox
Provides:	xfce4-modemlights-plugin
Provides:	xfce4-showdesktop-plugin
Provides:	xfce4-taskbar-plugin
Provides:	xfce4-toys
Provides:	xfce4-trigger-launcher
Provides:	xfce4-windowlist-plugin 
Obsoletes:	xfce-systray
Obsoletes:	xfce4-systray
Obsoletes:	xfce4-iconbox
Obsoletes:	xfce4-modemlights-plugin
Obsoletes:	xfce4-showdesktop-plugin
Obsoletes:	xfce4-taskbar-plugin
Obsoletes:	xfce4-toys
Obsoletes:	xfce4-trigger-launcher
Obsoletes:	xfce4-windowlist-plugin
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Xfce-panel is the panel for the Xfce Desktop Environment.

%package -n %{libname}
Summary:	Panel library for the Xfce desktop environment
Group:		Graphical desktop/Xfce

%description -n %{libname}
Panel library for the Xfce desktop environment.

%package -n %{libname}-devel
Summary:	Libraries and header files for the %{name} library
Group:		Development/Other
Requires:	gtk-doc
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel < 4.3

%description -n %{libname}-devel
Libraries and header files for the %{name} library.

%prep
%setup -qn xfce4-panel-%{version}
%patch0 -p1 -b .mandriva-default-theme

%build
%configure2_5x \
	--sysconfdir=%{_sysconfdir}/X11
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# remove unneeded devel files
rm -f %{buildroot}%{_libdir}/xfce4/panel-plugins/*.a
cp %{buildroot}%{_libdir}/pkgconfig/libxfce4panel-1.0.pc %{buildroot}%{_libdir}/pkgconfig/xfce4-panel-1.0.pc

cp -f %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xdg/xfce4/panel
cp -f %{SOURCE2} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xdg/xfce4/panel
cp -f %{SOURCE3} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xdg/xfce4/panel
cp -f %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xdg/xfce4/panel
cp -f %{SOURCE5} ${RPM_BUILD_ROOT}%{_sysconfdir}/X11/xdg/xfce4/panel

%find_lang xfce4-panel

%post
%{update_menus}
%update_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f xfce4-panel.lang
%defattr(-,root,root)
%doc README ChangeLog AUTHORS
%doc %{_datadir}/xfce4/doc/C/
%config(noreplace) %{_sysconfdir}/X11/xdg/xfce4/*
%{_bindir}/*
%{_libdir}/xfce4/panel-plugins/*.so
%{_libdir}/xfce4/mcs-plugins/*.so
%{_datadir}/applications/xfce4-panel-manager.desktop
%{_iconsdir}/hicolor/*
%{_datadir}/xfce4/panel-plugins/*
%dir %{_datadir}/gtk-doc/html/libxfce4panel
%{_datadir}/gtk-doc/html/libxfce4panel/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%doc HACKING README.Plugins
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/xfce4/panel-plugins/*.la
%{_libdir}/xfce4/mcs-plugins/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfce4panel/*


%changelog
* Thu May 31 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-5mdv2008.0
+ Revision: 33090
- Fix errors
- Fix Mandriva Theme

* Tue May 29 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 4.4.1-3mdv2008.0
+ Revision: 32517
- spec file clean
- add %%post and %%postun for main package
  move icon caching macros from lib to main package

* Fri May 25 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-2mdv2008.0
+ Revision: 31097
- Remove french desktop
- Bump release
- Add mandriva default theme

* Wed Apr 18 2007 Jérôme Soyer <saispo@mandriva.org> 4.4.1-1mdv2008.0
+ Revision: 14793
- New release 4.4.1


* Tue Jan 23 2007 plouf <plouf> 4.4.0-1mdv2007.0
+ Revision: 112325
- add forgoten sources
- New release 4.4.0

  + Jérôme Soyer <saispo@mandriva.org>
    - Bump Release
    - Add Provides and Obsoletes

* Sat Dec 30 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-4mdv2007.1
+ Revision: 102747
- Bump release
- Move ln to cp for pkgconfig

* Fri Dec 29 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-3mdv2007.1
+ Revision: 102577
- Fix pkgconfig file

* Tue Dec 12 2006 Jérôme Soyer <saispo@mandriva.org> 4.3.99.2-2mdv2007.1
+ Revision: 95191
- Rebuild for x86_64
- New release 4.3.99.2

* Wed Oct 25 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.3.90.2-4mdv2007.1
+ Revision: 72396
- Rebuild
- Rebuild for missing package on x86_64
- import xfce-panel-4.3.90.2-2mdv2007.0

* Sun Jul 16 2006 Pascal Terjan <pterjan@mandriva.org> 4.3.90.2-2mdv2007.0
- fix scriptlets (don't use /sbin/ldconfig as interpreter if we add some code)
- fix mix of spaces and tabs

* Tue Jul 11 2006 Charles A Edwards <eslrahc@mandriva.org> 4.3.90.2-1mdv2007.0
- 4.3.90.2 (Xfce-4.4 beta2)

* Sun Jun 25 2006 Pascal Terjan <pterjan@mandriva.org> 4.3.90.1-2mdv2007.0
- Obsolete xfce-panel-devel < 4.3 so that it get deleted

* Wed Apr 26 2006 Jerome Soyer <saispo@mandriva.org> 4.3.90.1-1mdk
- Tue Apr 18 2006 trem <trem@mandriva.org> 4.3.90.1-1mdk
- 4.3.90.1

* Thu Mar 09 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r20246.1mdk
- svn r20246

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.2mdk
- reupload for lost package

* Sun Feb 05 2006 Marcel Pol <mpol@mandriva.org> 4.3.0-0.svn_r19739.1mdk 
- 4.3.0 svn r19739
- treat 4.3.28 as 4.3.0 to keep versions in sync
- don't run libtoolize
- update filelist
- add libpackages
- obsolete and provide xfce-systray

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 4.2.3-1mdk
- 4.2.3
- remove unneeded devel files

* Wed May 25 2005 Marcel Pol <mpol@mandriva.org> 4.2.2-1mdk
- 4.2.2
- %%{1}mdv2007.1
- requires desktop-common-data

* Thu Mar 17 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1.1-1mdk
- 4.2.1.1 bug fix release
- adjust BR & R

* Wed Mar 16 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.1-1mdk
- 4.2.1

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-4mdk
- really use www-browser for all locales

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-3mdk
- use www-browser, require mandrake_desk

* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 4.2.0-2mdk
- group: Graphical desktop/Xfce

* Tue Jan 18 2005 Charles A Edwards <eslrahc@mandrake.org> 4.2.0-1mdk
- 4.2.0 Final

* Sat Dec 25 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.3-1mdk
- 4.1.99.3 (4.2.0 RC 3)

* Sun Dec 12 2004 Charles A Edwards <eslrahc@mandrake.org> 4.1.99.2-1mdk
- 4.1.99.2 (4.2.0 RC 2)

* Tue Nov 16 2004 Marcel Pol <mpol@mandrake.org> 4.1.99.1-1mdk
- 4.1.99.1
- s/XFce/Xfce
- update filelist

* Tue Jul 13 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.6-1mdk
- 4.0.6
- reenable libtoolize

* Sun Apr 18 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.5-1mdk
- 4.0.5

* Sat Apr 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.4-1mdk
- 4.0.4

